Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class TemplateParserImpl

    java.lang.Object
      org.apache.tapestry5.internal.services.TemplateParserImpl

All Implemented Interfaces:
  TemplateParser

    public class TemplateParserImpl

extends java.lang.Object
implements TemplateParser

Parses Tapestry XML template files into `ComponentTemplate` instances. A new instance of `SaxTemplateParser` is created for each document parsed.

Since:
  5.1.0.0

Constructor Summary
`TemplateParserImpl(java.util.Map<java.lang.String,java.net.URL> configuration, boolean defaultCompressWhitespace, OperationTracker tracker)`

Method Summary
`java.util.Map<java.lang.String,java.net.URL>` | `getDTDURLMappings()` Returns a mapping from URL string to a local equivalent URL, used to avoid attempting to pull well-known DTDs down over the wire while parsing XML.
`ComponentTemplate` | `parseTemplate(Resource templateResource)` Parses the given resource into a component template.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemplateParserImpl

    public TemplateParserImpl(java.util.Map<java.lang.String,java.net.URL> configuration,
                              @Symbol(value="tapestry.compress-whitespace")
                              boolean defaultCompressWhitespace,
                              OperationTracker tracker)

Method Detail

### parseTemplate

    public ComponentTemplate parseTemplate(Resource templateResource)

  Description copied from interface: `TemplateParser`
  Parses the given resource into a component template.

  Specified by:
    `parseTemplate` in interface `TemplateParser`
  Parameters:
    `templateResource` - the path
  Returns:
    the parsed template contents

### getDTDURLMappings

    public java.util.Map<java.lang.String,java.net.URL> getDTDURLMappings()

  Description copied from interface: `TemplateParser`
  Returns a mapping from URL string to a local equivalent URL, used to avoid attempting to pull well-known DTDs down over the wire while parsing XML.

  Specified by:
    `getDTDURLMappings` in interface `TemplateParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.